﻿@model ProjectModel

<div class="row">
    <form id="update-project-form" asp-controller="project" asp-action="update" autocomplete="off" data-ajax="true" data-ajax-method="POST" data-ajax-success="onProjectUpdated">
        <div class="col-sm-12 col-md-8">
            <input type="hidden" asp-for="@Model.Id" />
            <div class="mb-4">
                <label class="form-label control-label required" asp-for="@Model.Name"> Project Name</label>
                <input type="text" class="form-control custom-validation" asp-for="@Model.Name" data-required="true" />
            </div>
            <div class="mb-4">
                <label class="form-label control-label" asp-for="@Model.Description"> Project Description (Optional)</label>
                <textarea class="form-control" rows="6" placeholder="What's this project about?" asp-for="@Model.Description"></textarea>
            </div>

            <div class="mb-4">
                <div class="row">
                    <div class="col-5">
                        <h6> What's the status? </h6>
                        <div>
                            <select class="form-select" asp-for="@Model.CurrentStatus">
                                <option value="0"> On Track</option>
                                <option value="1"> At Risk</option>
                                <option value="2"> On Hold</option>
                                <option value="3"> Completed</option>
                            </select>
                        </div>
                    </div>
                </div>
            </div>

            <div>
                @if (ViewBag.EditProject)
                {
                    <button type="button" class="btn btn-success me-2" onclick="validateAndSubmit('#update-project-form')">
                        Save Changes
                    </button>
                    <button type="button" class="btn btn-danger" onclick="deleteProject(@Model.Id)">
                        Delete Project
                    </button>
                }
            </div>

        </div>
        <div class="col-sm-12 col-md-4">
        </div>
    </form>
</div>